gdk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Represents a rectangle with x, y, width and height. System.ValueType
- Field
  Gdk.Rectangle A zero initialized rectangle.
- Method
  Gdk.Rectangle `` Makes a new rectangle. An , the underlying unmanaged C object. A Not for general developer use.
- Constructor
  Initializes a rectangle from the given values.
  X value.
  Y value
  Width of the rectangle.
  Height of the rectangle
  The initialized rectangle.
- Method
  System.String Returns a string representation of the rectangle. a This is only intended to be used for debugging purposes.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Field
  System.Int32 The X element of the rectangle.
- Field
  System.Int32 The Y element of the rectangle.
- Field
  System.Int32 The rectangle width
- Field
  System.Int32 The rectangle height.
- Method
  Gdk.Rectangle `` Obtains the union of a this and another. a a representing the union of the two objects. The result is the smallest that contains both objects within its boundaries.
- Method
  System.Boolean `` `` Obtains the intersection of a this and another. a a representing the intersection of this and the src2 Returns true if the two objects intersect. The result is the rectangular region occupied by both source rectanlges.
- Property
  System.Int32 The Y coordinate of the top of the rectangle. a
- Property
  System.Int32 The Y coordinate of the bottom of the rectangle. a
- Property
  System.Int32 The X coordinate of the right of the rectangle. a
- Property
  System.Int32 The X coordinate of the left of the rectangle. a
- Property
  System.Boolean Gets if the area of the rectangle is zero a This will return true if either the height or the width is zero.
- Property
  Gdk.Size Gets the size represented by (Width, Height) a
- Property
  Gdk.Point Gets the point represented by (X, Y) a
- Method
  Gdk.Rectangle `` `` `` `` Creates a rectangle given the left, right, top, and bottom. a a a a a
- Method
  Gdk.Rectangle `` `` Gets the smallest rectangle that contains both parameters a a a
- Method
  Gdk.Rectangle `` `` Gets the largest rectangle (if any) which is contained by both parameters. a a a
- Method
  Gdk.Rectangle `` `` `` Changes the size of each side of the rectangle by the specified amount. a Change in the X size Change in the Y size a The rectangle's center is the same as the center of .
- Method
  Gdk.Rectangle `` `` Changes the size of each side of the rectangle by the specified amount. a A change in size. a The rectangle's center is the same as the center of .
- Method
  Gdk.Rectangle `` `` `` Returns the rectangle shifted by (dx,dy) a a a a
- Method
  Gdk.Rectangle `` `` Returns a rectangle shifted by the vector dr a a a
- Method
  System.Boolean `` Equality for rectangles a a
- Method
  System.Int32 Hashing for rectangles a
- Method
  System.Boolean `` Tests if a rectangle is contained in this rectangle. a a The rectangle must be fully enclosed for this test to return true. That is, the intersection of this and must equal .
- Method
  System.Boolean `` Does hit testing for a point a a
- Method
  System.Boolean `` `` Does hit testing for a point a a a
- Method
  System.Boolean `` Tests if there is any overlap of this rectangle and another a a
- Method
  System.Void `` Modifies this rectangle to be the intersection with another rectangle a
- Method
  System.Void `` Inflates this rectangle by a given size. a
- Method
  System.Void `` `` Inflates this rectangle by a given size. a a
- Method
  System.Void `` `` Offsets this rectangle by (dx,dy) a a
- Method
  System.Void `` Offsets this rectangle by the vector dr a To be added
- Constructor
  Creates a rectangle from a point and a size.
  a
  a
  A rectangle with a location of and size of .